require 'rubygems'
require 'pry'

begin
  require 'simplecov'
  SimpleCov.coverage_dir 'coverage'
  if ENV['CI'] and require 'coveralls'
    SimpleCov.formatter = SimpleCov::Formatter::MultiFormatter[
      SimpleCov::Formatter::HTMLFormatter,
      Coveralls::SimpleCov::Formatter
    ]
  end
  SimpleCov.start do
    add_filter "/test"
  end
end

require 'minitest/autorun'

class Test < MiniTest::Test

  def assert_change(lambda_getter)
    old = lambda_getter.call
    yield
    refute_equal old, lambda_getter.call, "Expected block to change output of lambda argument"
  end

  def refute_change(lambda_getter)
    old = lambda_getter.call
    yield
    assert_equal old, lambda_getter.call, "Didn't expect block to change output of lambda argument"
  end

  def setup; end
  def teardown; end

  class Namespace; end

  def around
    pre
    yield
    post
  end

  def pre; end
  def post; end

end

require 'integrated_data'

puts 'Running tests...'
